﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;

public class Spawner : MonoBehaviour {

    public int totalTrash;
    public GameObject trash1;
    public GameObject trash2;
    public GameObject trash3;
	// Use this for initialization
	void Start () {
		Vector3[] locations = {new Vector3(-8.3f,-3f,0.5f),
            new Vector3(-6.8f,3.55f,0.5f), new Vector3(-2f,3.5f,0.5f),
            new Vector3(-1.6f,0.7f,0.5f), new Vector3(3f,-0.5f,0.5f),
            new Vector3(6f,-4f,0.5f), new Vector3(8.9f,-0.5f,0.5f),
            new Vector3(6f,-0.5f,0.5f), new Vector3(-2.9f,11.95f,0.5f),
            new Vector3(7.3f,11.95f,0.5f), new Vector3(15.64f,15.66f,0.5f),
            new Vector3(12.84f,-2.9f,0.5f), new Vector3(21.06f,-2.68f,0.5f),
            new Vector3(16.57f,-0.82f,0.5f), new Vector3(27.75f,0.25f,0.5f),
            new Vector3(27.4f,8f,0.5f), new Vector3(21.57f,15.64f,0.5f),
            new Vector3(19f,17f,0.5f), new Vector3(27.5f,11.5f,0.5f)};
        int[] chosen = new int[locations.Length];
        for(int i = 0; i < totalTrash; i++)
        {
            int locationSel = Random.Range(0,locations.Length);
            while(chosen.Contains(locationSel))
            {
                locationSel = Random.Range(0,locations.Length);
            }
            chosen[i] = locationSel;
            int trashSel = Random.Range(1,4);

            if(trashSel == 1)
            {
                Object.Instantiate(trash1, locations[locationSel], this.transform.rotation);
            }

            else if(trashSel == 2)
            {
                Object.Instantiate(trash2, locations[locationSel], this.transform.rotation);
            }

            else if(trashSel == 3)
            {
                Object.Instantiate(trash3, locations[locationSel], this.transform.rotation);
            }
        }
        Destroy(this);
	}

}
