﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Trashcan : MonoBehaviour {

    public int totalTrash = 5;
    public GameObject trashcan;
    public AudioSource audioSource;
    private int endCount = 10;
    public GameObject endGame;
    public AudioClip trashSound;
    private AudioSource audio;
	// Use this for initialization
	void Start () {
		audio = GetComponent<AudioSource>();
	}
	
	// Update is called once per frame
	void Update () {
		this.transform.position = trashcan.transform.position;
        if(!audioSource.isPlaying)
        {
            endCount --;
        }
        if (endCount <= 0)
        {
            GameObject endstate = Object.Instantiate(endGame);
            EndGame info = endstate.GetComponent<EndGame>();
            info.trashLeft = totalTrash;    
            
            Destroy(this);
        }
	}

    void OnTriggerEnter2D(Collider2D other)
    {
        //Debug.Log("im in it");
        //Debug.Log(other.transform.position);
        if(other.gameObject.CompareTag("Trash"))
        {
            audio.PlayOneShot(trashSound, 0.7f);
            totalTrash --; //Set to number of trash
            Destroy(other.gameObject);
        }
    }

    public Trashcan Find()
    {
        return this;
    }
}
